CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(APP_NAME flysimu-cpp)
PROJECT(${APP_NAME})
  
SET(SOURCE_FILES 
	main.cpp
	WIN/help.cpp
	WIN/win.cpp
	WIN/fps.cpp
	NET/network.cpp
	NET/point.cpp
	TEX/targa.cpp
	TEX/image.cpp
	TEX/encoder.cpp
	TEX/decoder.cpp
	TEX/texture.cpp
	CONF/uniform.cpp
	OGL/move.cpp
	OGL/cube.cpp
	OGL/flybox.cpp
	OGL/opengl.cpp
	OGL/cockpit.cpp
	FONT/font.cpp
)

LINK_DIRECTORIES( ${PROJECT_SOURCE_DIR}/lib )
INCLUDE_DIRECTORIES( ${PROJECT_SOURCE_DIR}/include )

ADD_EXECUTABLE(${APP_NAME} ${SOURCE_FILES})
SET(LIBRARIES m X11 GLEW GL GLU png)
TARGET_LINK_LIBRARIES(${APP_NAME} ${LIBRARIES})



